System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

The thread wait reason is only valid when the is .

Specifies the reason a thread is waiting.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ThreadWaitReason To be added

  The thread is waiting for event pair high.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ThreadWaitReason To be added

  The thread is waiting for event pair low.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ThreadWaitReason To be added

  Thread execution is delayed.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ThreadWaitReason To be added

  The thread is waiting for the scheduler.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ThreadWaitReason To be added

  The thread is waiting for a free virtual memory page.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ThreadWaitReason To be added

  The thread is waiting for a local procedure call to arrive.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ThreadWaitReason To be added

  The thread is waiting for reply to a local procedure call to arrive.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ThreadWaitReason To be added

  The thread is waiting for a virtual memory page to arrive in memory.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ThreadWaitReason To be added

  The thread is waiting for a virtual memory page to be written to disk.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ThreadWaitReason To be added

  Thread execution is suspended.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ThreadWaitReason To be added

  The thread is waiting for system allocation.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ThreadWaitReason To be added

  The thread is waiting for an unknown reason.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ThreadWaitReason To be added

  The thread is waiting for a user request.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ThreadWaitReason To be added

  The thread is waiting for the system to allocate virtual memory.